Bug 1014601 - Review Request: python-cssmin - A Python port of the YUI CSS compression algorithm
Review Request: python-cssmin - A Python port of the YUI CSS compression algo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:32 EDT by Martin Krizek
Modified: 2014-11-14 07:48 EST (History)
4 users (show)

See Also:
Fixed In Version: python-cssmin-0.1.4-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-19 05:13:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Krizek 2013-10-02 07:32:45 EDT
Spec URL: http://mkrizek.fedorapeople.org/python-cssmin.spec
SRPM URL: http://mkrizek.fedorapeople.org/python-cssmin-0.1.4-1.fc19.src.rpm 
Description:
A Python port of the YUI CSS compression algorithm. It can be used for compressing of CSS files in e.g. Flask framework.

The inclusion of LICENSE file has already been requested:
https://github.com/zacharyvoase/cssmin/issues/8

Fedora Account System Username: mkrizek
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-04 15:37:29 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/zbyszek/fedora/1014601-python-
     cssmin/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python-cssmin-0.1.4-1.fc19.noarch.rpm
python-cssmin.noarch: W: no-manual-page-for-binary cssmin
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

There's no manpage upstream, but cssmin --help provides pretty much everything that is needed.

Two issues:

1. %check is missing. What about a simple sanity check like:

>>> import cssmin
>>> cssmin.cssmin('''#href {
... font-size: 3;
... }''')
'#href{font-size:3}'

I guess that it would be simple to do as 'echo ... | python .../cssmin.py | grep ...' or something.
This should be enough to test that the module imports and is not totally broken.

2. Upstream supports python 3, so there's no reason not to add a python 3 subpackage.
Comment 2 Martin Krizek 2013-10-07 10:52:55 EDT
Thanks for the review! Updated spec file and srpm follow:

Spec URL: http://mkrizek.fedorapeople.org/python-cssmin.spec
SRPM URL: http://mkrizek.fedorapeople.org/python-cssmin-0.1.4-2.fc19.src.rpm
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-10-07 11:36:22 EDT
Oh, python3 support is not as simple as adding python3-devel :)
It turns out that a there was one extra commit post 0.1.4, which fixes a Python 3 import issue. I made the necessary changes to the spec file, available from http://in.waw.pl/~zbyszek/fedora/python-cssmin.spec. If you don't want to deal with Python 3 issues, I'd be happy to become a co-maintaner responsible for that part.

Before this package is approved, I'd like to see one more change: please add one sentence explanation what the package does to the summary (summaries now), so that a person not familiar with the subject can grasp what the package is.
Comment 4 Martin Krizek 2013-10-08 07:17:32 EDT
Updated versions of the files:

Spec URL: http://mkrizek.fedorapeople.org/python-cssmin.spec
SRPM URL: http://mkrizek.fedorapeople.org/python-cssmin-0.1.4-4.fc19.src.rpm
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-10-08 11:05:02 EDT
Package is APPROVED.

Actually the package violates one important guideline: it fails to build :),
because of https://fedoraproject.org/wiki/Changes/Python_setuptools_0.7.
But adding:
  sed -i 's/^from distribute_setup/#/' setup.py
at the end of %prep seems to make it build.
Comment 6 Martin Krizek 2013-10-09 07:39:49 EDT
No, that doesn't seem to work. Adding python3-setuptools as BuildRequires did the trick. Thanks for the review!
Comment 7 Martin Krizek 2013-10-09 08:30:05 EDT
I had to do one more change and that is to turn off python3 for el6:

Spec URL: http://mkrizek.fedorapeople.org/python-cssmin.spec
SRPM URL: http://mkrizek.fedorapeople.org/python-cssmin-0.1.4-5.fc19.src.rpm

Let me know if you're ok with it, otherwise, I will request SCM admin for the package, thanks!
Comment 8 Zbigniew Jędrzejewski-Szmek 2013-10-09 09:01:35 EDT
(In reply to Martin Krizek from comment #7)
> Let me know if you're ok with it, otherwise, I will request SCM admin for
> the package, thanks!
Yes, of course.
Comment 9 Martin Krizek 2013-10-09 09:09:11 EDT
Package Name: python-cssmin
Short Description: A Python port of the YUI CSS compression algorithm
Owners: mkrizek
Branches: f18 f19 f20 el6
InitialCC:
Comment 10 Gwyn Ciesla 2013-10-09 10:03:58 EDT
No SCM request found.
Comment 11 Martin Krizek 2013-10-09 11:47:28 EDT
New Package SCM Request
=======================
Package Name: python-cssmin
Short Description: A Python port of the YUI CSS compression algorithm
Owners: mkrizek
Branches: f18 f19 f20 el6
InitialCC:
Comment 12 Gwyn Ciesla 2013-10-09 11:54:11 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-10-10 05:13:41 EDT
python-cssmin-0.1.4-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cssmin-0.1.4-5.el6
Comment 14 Fedora Update System 2013-10-10 05:14:37 EDT
python-cssmin-0.1.4-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-cssmin-0.1.4-5.fc18
Comment 15 Fedora Update System 2013-10-10 05:15:36 EDT
python-cssmin-0.1.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-cssmin-0.1.4-5.fc19
Comment 16 Fedora Update System 2013-10-10 14:32:37 EDT
python-cssmin-0.1.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 17 Zbigniew Jędrzejewski-Szmek 2013-10-11 08:39:52 EDT
Can you also submit f20 package?
Comment 18 Martin Krizek 2013-10-14 07:52:30 EDT
Yeah, I tried building it for f20 and rawhide but had no luck. I am not sure why the builds fail in koji, I have no problem building them in mock on my machine.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6057975

http://kojipkgs.fedoraproject.org//work/tasks/8022/6058022/build.log -- Any ideas what causes the traceback?
Comment 19 Christopher Meng 2013-10-14 08:08:01 EDT
Is it compatible with setuptools 0.7+?

http://fedoraproject.org/wiki/Changes/Python_setuptools_0.7
Comment 20 Zbigniew Jędrzejewski-Szmek 2013-10-14 09:32:56 EDT
Try my fix from comment #5 :)
Comment 21 Fedora Update System 2013-10-15 07:38:10 EDT
python-cssmin-0.1.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-cssmin-0.1.4-6.fc20
Comment 22 Martin Krizek 2013-10-15 07:42:14 EDT
Done. BTW feel free to add yourself as co-maintainer if you'd like to, I forgot to do so in the initial SCM request.
Comment 23 Fedora Update System 2013-10-15 09:27:39 EDT
python-cssmin-0.1.4-6.fc20 has been pushed to the Fedora 20 testing repository.
Comment 24 Fedora Update System 2013-10-19 05:13:18 EDT
python-cssmin-0.1.4-5.fc19 has been pushed to the Fedora 19 stable repository.
Comment 25 Fedora Update System 2013-10-19 05:14:41 EDT
python-cssmin-0.1.4-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 26 Fedora Update System 2013-10-25 13:41:22 EDT
python-cssmin-0.1.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 27 Fedora Update System 2013-11-10 03:11:10 EST
python-cssmin-0.1.4-6.fc20 has been pushed to the Fedora 20 stable repository.
Comment 28 Martin Krizek 2014-11-14 03:35:34 EST
Package Change Request
======================
Package Name: python-cssmin
New Branches: epel7
Owners: mkrizek
Comment 29 Gwyn Ciesla 2014-11-14 07:48:00 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.